#ifndef CUSTCTRL_INCLUDED
#define CUSTCTRL_INCLUDED

#ifdef __cplusplus
extern "C" {
#endif

void InitInputCustomControl(void);
HWND CreateInputCustom(HWND hwndParent);
void InitKeyCustomControl(void);
HWND CreateKeyCustom(HWND hwndParent);

typedef struct
{
    COLORREF crForeGnd;    // Foreground text colour
    COLORREF crBackGnd;    // Background text colour
    HFONT    hFont;        // The font
    HWND     hwnd;         // The control's window handle
} InputCust;
COLORREF CheckKey( WORD Key, int conflictMinHitNum = 1);
InputCust * GetInputCustom(HWND hwnd);


#ifdef __cplusplus
}
#endif

#endif
